%global modulename http-signature

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-http-signature
Version:        1.2.0
Release:        1%{?dist}
Summary:        Reference implementation of Joyent's HTTP Signature scheme.

License:        MIT
URL:            https://github.com/joyent/node-http-signature/
Source0:        https://registry.npmjs.org/http-signature/-/http-signature-1.2.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(assert-plus) >= 1.0.0 with npmlib(assert-plus) < 2.0.0))
BuildRequires:  ((npmlib(jsprim) >= 1.2.2 with npmlib(jsprim) < 2.0.0))
BuildRequires:  ((npmlib(sshpk) >= 1.7.0 with npmlib(sshpk) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Reference implementation of Joyent's HTTP Signature scheme.

%package 1.2.0
Summary:        Reference implementation of Joyent's HTTP Signature scheme.


%description 1.2.0
Reference implementation of Joyent's HTTP Signature scheme.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .dir-locals.el %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGES.md
%doc README.md
%doc http_signing.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.2.0
%doc CHANGES.md
%doc README.md
%doc http_signing.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.2.0-1
- Package automatically generated by npm2srpm
